Bug 207862 - [net-mgmt/super_mediator] diff update for version 1.3.0
Summary: [net-mgmt/super_mediator] diff update for version 1.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-09 22:18 UTC by Chris Inacio
Modified: 2016-03-17 21:26 UTC (History)
3 users (show)

See Also:


Attachments
patch file for super_mediator to update to 1.30 (1.49 KB, patch)
2016-03-09 22:18 UTC, Chris Inacio
rakuco: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Inacio 2016-03-09 22:18:30 UTC
Created attachment 167944 [details]
patch file for super_mediator to update to 1.30

patch file to update super_mediator to 1.3.0.  Patch was tested with poudriere and portlint.  Really simple patch, only updated needed was to include newer version of file with SHA256 & size.
Comment 1 Raphael Kubo da Costa freebsd_committer 2016-03-12 12:30:14 UTC
Did you run `make makesum'? Your distinfo looks wrong.
Comment 2 Chris Inacio 2016-03-12 13:07:39 UTC
I've never used "make makesum", I've always done it by hand.

Interesting that it might be wrong though - I did run the poudriere testport command on it successfully.

I'll double check it again.
Comment 3 Raphael Kubo da Costa freebsd_committer 2016-03-12 13:57:08 UTC
It's wrong in the sense that you have a lot of stale information about old tarballs.
Comment 4 Mark Felder freebsd_committer 2016-03-17 21:26:50 UTC
Yes, in the future just use "make makesum" after you modify your Makefile and it will automatically fetch the distfile and update the distinfo file with the checksum data.


Committed with minor changes, thanks!
Comment 5 commit-hook freebsd_committer 2016-03-17 21:26:58 UTC
A commit references this bug:

Author: feld
Date: Thu Mar 17 21:26:11 UTC 2016
New revision: 411319
URL: https://svnweb.freebsd.org/changeset/ports/411319

Log:
  net-mgmt/super_mediator: Update to 1.3.0

  PR:		207862

Changes:
  head/net-mgmt/super_mediator/Makefile
  head/net-mgmt/super_mediator/distinfo